Update a question
curl --request PATCH \
--url https://api.rankspot.ai/v1/people-also-ask/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.rankspot.ai/v1/people-also-ask/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.rankspot.ai/v1/people-also-ask/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "clx...",
"question": "How do I start a blog?",
"status": "new",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"postId": "clx..."
}People Also Ask
Update a question
Updates the status of a question. Mark it processed once you have used or addressed the question (e.g. added it as an FAQ in an article), or set it back to new to reconsider it.
PATCH
https://api.rankspot.ai
/
v1
/
people-also-ask
/
{id}
Update a question
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
new, processed ⌘I
